﻿#Region "Copyright Syncfusion Inc. 2001-2019."
' Copyright Syncfusion Inc. 2001-2019. All rights reserved.
' Use of this code is subject to the terms of our license.
' A copy of the current license can be obtained at any time by e-mailing
' licensing@syncfusion.com. Any infringement will be prosecuted under
' applicable laws. 
#End Region
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Tools
Imports Syncfusion.Windows.Forms
Imports System.Threading
Imports Syncfusion.WinForms.Controls

Namespace SuccinitySeries
	Partial Public Class Form1
		Inherits SfForm

		Private i As Integer = 0
		Private filePath As Dictionary(Of Image, String)
		Private SelectedImage As Image
		Public Sub New()
			InitializeComponent()
			Dim rect As Rectangle = System.Windows.Forms.Screen.PrimaryScreen.Bounds
			Me.MinimumSize = New Size(rect.Width * 2 \ 3, rect.Height * (3 \ 2))
			Me.Location = New Point(rect.Width \ 6, 0)
			Try
				Dim ico As New System.Drawing.Icon("../../grid.ico")
				Me.Icon = ico

				Me.carousel1.BackgroundImage = New Bitmap("../../Images/Background-image.png")
				carousel1.BackgroundImageLayout = ImageLayout.None
				carousel1.UseOriginalImageinPreview = False
			Catch
			End Try

			filePath = New Dictionary(Of Image, String)()

			For Each item In carousel1.ImageListCollection
				filePath.Add(item.ItemImage, "file" & i)
				i += 1
			Next item

		End Sub

        Private Sub carousel1_OnCarouselItemFocused(ByVal sender As Object, ByVal e As CarouselItemFocusedArgs) Handles carousel1.OnCarouselItemFocused

		  If e.FocusedImage Is SelectedImage Then
			  If filePath.ContainsKey(e.FocusedImage) Then
				  Dim fileName As String = filePath(e.FocusedImage)
				  Dim view As New Viewer()
				  If fileName = "file0" Then
					  fileName = "jQuery_Succinctly.pdf"
				  ElseIf fileName = "file1" Then
					  fileName = "GIS Succinctly.pdf"
				  ElseIf fileName = "file2" Then
					  fileName = "WindowsStoreApps_Succinctly.pdf"
				  ElseIf fileName = "file3" Then
					  fileName = "HTTP_Succinctly.pdf"
				  ElseIf fileName = "file4" Then
					  fileName = "JavaScript_Succinctly.pdf"
				  ElseIf fileName = "file5" Then
					  fileName = "LightSwitch_Succinctly.pdf"
				  ElseIf fileName = "file6" Then
					  fileName = "aspnetmvc4_Succinctly.pdf"
				  ElseIf fileName = "file7" Then
					  fileName = "iOS_Succinctly.pdf"
				  ElseIf fileName = "file8" Then
					  fileName = "Fsharp_Succinctly.pdf"
				  End If
				  view.LoadPdf("../../PDF/" & fileName)
				  view.Text = fileName

				   view.Show()
			  End If

		  End If
            '		


        End Sub

		Private Sub carousel1_OnCarouselItemSelectionChanging(ByVal sender As Object, ByVal e As CarouselItemSelectionChangingArgs) Handles carousel1.OnCarouselItemSelectionChanging
			SelectedImage = e.SelectedImage
		End Sub

		Private Sub carousel1_Paint(ByVal sender As Object, ByVal e As PaintEventArgs) Handles carousel1.Paint
			e.Graphics.DrawRectangle(New Pen(Color.Gray), e.ClipRectangle)
		End Sub


	End Class
End Namespace
