﻿#Region "Copyright Syncfusion Inc. 2001-2019."
' Copyright Syncfusion Inc. 2001-2019. All rights reserved.
' Use of this code is subject to the terms of our license.
' A copy of the current license can be obtained at any time by e-mailing
' licensing@syncfusion.com. Any infringement will be prosecuted under
' applicable laws. 
#End Region
Imports System
Imports System.Collections.Generic
Imports System.Windows.Forms
Imports Syncfusion.Licensing
Imports System.Reflection
Imports System.IO
Imports System.Text

Namespace SuccinitySeries
	Friend Module Program
		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread>
		Sub Main()
			SyncfusionLicenseProvider.RegisterLicense(FindLicenseKey())
			Application.EnableVisualStyles()
			Application.SetCompatibleTextRenderingDefault(False)
			Application.Run(New Form1())
		End Sub

		''' <summary>
		''' Finds the license key from the Common folder.
		''' </summary>
		''' <returns>Returns the license key.</returns>
		Public Function FindLicenseKey() As String
			Dim licenseKeyFile As String = "..\Common\SyncfusionLicense.txt"
			For n As Integer = 0 To 19
				If Not System.IO.File.Exists(licenseKeyFile) Then
					licenseKeyFile = "..\" & licenseKeyFile
					Continue For
				End If
				Return File.ReadAllText(licenseKeyFile)
			Next n
			Return String.Empty
		End Function
	End Module
End Namespace
